# repdav

![Version: 0.1.3](https://img.shields.io/badge/Version-0.1.3-informational?style=flat-square) ![Type: application](https://img.shields.io/badge/Type-application-informational?style=flat-square) ![AppVersion: 1.2.5](https://img.shields.io/badge/AppVersion-1.2.5-informational?style=flat-square)

This chart installs the Textgrid Repository WebDAV Server.

**Homepage:** <https://gitlab.gwdg.de/dariah-de/textgridrep/repdav/>

## Maintainers

| Name | Email | Url |
| ---- | ------ | --- |
| Stefan Hynek | <stefan.hynek@uni-goettingen.de> | <https://www.sub.uni-goettingen.de/kontakt/personen-a-z/personendetails/person/stefan-hynek/> |

## Source Code

* <https://gitlab.gwdg.de/dariah-de/textgridrep/repdav/-/blob/main/Dockerfile>

## Values

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| affinity | object | `{}` |  |
| appVersion | string | `""` | Overrides the chart’s default appVersion. |
| fullnameOverride | string | `""` |  |
| image.pullPolicy | string | `"IfNotPresent"` |  |
| image.repository | string | `"docker.gitlab.gwdg.de/dariah-de/textgridrep/repdav/repdav"` |  |
| image.tag | string | `""` | Overrides the image tag whose default is the chart appVersion. |
| imagePullSecrets | list | `[]` |  |
| ingress.annotations | object | `{}` |  |
| ingress.className | string | `""` |  |
| ingress.enabled | bool | `false` |  |
| ingress.hosts[0].host | string | `"repdav.local"` |  |
| ingress.hosts[0].paths[0].path | string | `"/"` |  |
| ingress.hosts[0].paths[0].pathType | string | `"ImplementationSpecific"` |  |
| ingress.tls | list | `[]` |  |
| logLevel | string | `"WARNING"` | Configure repdav logging level. Chose one of Python’s [default names](https://docs.python.org/3/library/logging.html#logging-levels). |
| nameOverride | string | `""` |  |
| nodeSelector | object | `{}` |  |
| podAnnotations | object | `{}` |  |
| podHostname | string | `"localhost"` |  |
| podSecurityContext | object | `{}` |  |
| replicaCount | int | `1` |  |
| resources | object | `{}` |  |
| securityContext | object | `{}` |  |
| sentry | object | `{"dsn":"","enabled":false,"environment":"production"}` | Enable Sentry error logging. If so, `sentry.dsn` must be set. |
| service.port | int | `8080` |  |
| service.type | string | `"ClusterIP"` |  |
| serviceAccount.annotations | object | `{}` | Annotations to add to the service account. |
| serviceAccount.create | bool | `true` | Specifies whether a service account should be created. |
| serviceAccount.name | string | `""` | The name of the service account to use. If not set and create is true, a name is generated using the fullname template. |
| textgridHost | string | `"https://textgridlab.org/"` | The textgrid service to connect to. |
| tolerations | list | `[]` |  |

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v1.11.0](https://github.com/norwoodj/helm-docs/releases/v1.11.0)
